# Maubot installer

Bash installer for https://github.com/maubot/maubot/ with nginx and letsencrypt frontend.

Once installed, you will be able to run matrix bots in the wild!

See [this tutorial](https://www.tmplab.org/2020/04/01/how-to-install-and-run-bots-for-the-matrix-network/) for details.
## Requirements

Debian Buster minimum as you need Python 3.6 or higher

## crash course

```
# 1. First create a subdomain which points to your server IP address

# 2.a) Then download and install
wget https://git.interhacker.space/alban/maubot-installer/raw/branch/master/install.sh/
bash install.sh

# 2.b) Or clone with git
git clone https://git.interhacker.space/alban/maubot-installer.git
cd maubot-installer
bash install.sh

# Optionaly use the plugin installer if you cloned
$EDITOR plugin-install.sh # Edit the variables
bash plugin-install.sh

```

The script asks you some questions before install. 

* **Which domain will be used to connect to your bot (ex: maubot.example.com)?**

  Caution, this one requires you to act BEFORE you install, or things might not work. 

  Maubot has a web frontend, so it is recommanded to create a subdomain to host it.

  Provide the subdomain you created as a reply.

* **Which domain is the matrix 'Home Server' you register your bots on?**

  If you're not sure, you probably don't run your own matrix server. It's fine. Just provide the matrix server on which you will create your bot's account. 

* **What will be your user name in the maubot interface?**

  Maubot is a web app with a login / password interface. What will be your login?

* **What will be the pass for user '$maubot_user' in the maubot interface?**

  Maubot is a web app with a login / password interface. What will be your password?

* **Do you want to enable SSL via letsencrypt [Y/n]?**

  By default, this script will get an SSL/TLS certificate for you. This is the recommended and secure way.

* **If the 'Home Server' is yours, what is the registration secret (ignore if you don't know what this is)?**

  If you run your own matrix server, provide the hyper secure registration secret password. Otherwise, let it empty.  

* **Which install dir to use (Default: /opt/maubot)?**

  Where do you intend the maubot code to reside on your server. 

* **Which unix user will own and execute the maubot code?**

  Which system user will be responsible for running the server.


## Using the config file

 
The scripts use a `config` file to record your variables.
```
cp config.sample config
nano config # Edit 
```


## Contributing

Feel free to post issues here o

## Known problems

Some plugins might require additional pip packages, you might have to install them by hand.